
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c语言-关于C语言中的static变量的问题 / iVAN</title>

    <meta name="description" content="c语言-关于C语言中的static变量的问题 问题描述 关于C语言中的static变量的问题 下面的代码最终结果为什么是-10?去掉这个函数中的static则结果是-2可以理解,请教一下加了static后这个变量在函数的多次调用中是如何变化的 int fun() { static int a = 1; return ++a; } int main() { int b; b = fun()-fun()*fun(); printf(&quot;%d &quot;,b); return 0; } 解决方案 这属于编译器未定义行为.也就是说,fun ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c语言-关于C语言中的static变量的问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>关于C语言中的static变量的问题
        </dt>
<dd>
          <br />下面的代码最终结果为什么是-10？去掉这个函数中的static则结果是-2可以理解，请教一下加了static后这个变量在函数的多次调用中是如何变化的</p>
<p>int fun()<br />
{<br />
     static int a = 1;<br />
    return ++a;<br />
}</p>
<p>int main()<br />
{<br />
    int b;<br />
    b = fun()-fun()*fun();<br />
    printf("%d<br />
",b);<br />
    return 0;<br />
}</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>这属于编译器未定义行为。也就是说，fun()-fun()*fun();究竟谁先求值，这个不一定。<br />
在你的编译器上，从左往右求值，得到2-3*4，然后计算得到-10<br />
你觉得应该是4-2*3，但是不一定。求值的顺序和求值后表达式中运算符优先结合不是一码事。</p>
<p>解决方案二：<br />
    <br />请注意，这是编译器未定义行为，结果是-10，或者-2，或者任何值都有可能。取决于不同的编译器的实现，或者同一个编译器的不同优化方法。在实际编程中，绝对不要这么写。<br />
关于什么是编译器未定义行为，自己google下。</p>
<p>解决方案三：<br />
    <br /><a href="http://blog.csdn.net/jeakon/article/details/8488954" rel="external nofollow noreferrer">C语言中的 static变量、static函数</a><br /><a href="http://blog.csdn.net/zgqiangha/article/details/5314294" rel="external nofollow noreferrer">c/c++_static变量的应用</a></p>
<p>解决方案四：<br />
    <br />这个跟static无关，跟计算的顺序有关，首先第一个fun=2进入堆栈，但是，由于后面是减号，应该先计算乘法，fun数值为2在堆栈中，<br />
后面的乘法好理解一个是3，一个是4，最终的结果是2-3*4=-10</p>
<p>解决方案五：<br />
    <br />嗷嗷，但是我刚刚测试去掉函数中的static然后结果就变了，所以说，static变量值是可以保留且可以更改的。刚刚一直以为按照运算优先级乘法先算，第二个fun先被调用，然后第三个fun,最后是第一个fun</p>
<p>解决方案六：<br />
    <br />恩，我在vc和vs2012上进行了测试都是这个值</p>
<p>解决方案七：<br />
    <br />这是C语言的未定义行为，由编译器具体实现，具体结果看编译器，最好别这么用。</p>
<p>解决方案八：<br />
    <br />static关键字为静态,<br />
b = fun()-fun()*fun()=2-3*4;<br />
第一个fun()初始值为a=1  调用后a=2(即为返回值)<br />
第二个fun()初始值为第一个fun()修改的a=2  调用后a=3(即为返回值)<br />
第三个fun()初始值为第二个fun()修改的a=3  调用后a=4(即为返回值)</p>
<p>无static时 默认auto<br />
fun()_初始值**都**_为a=1  调用后a=2(即为返回值)</p>
<p>解决方案九：<br />
    <br />static定义变量之后，变量的初始化只进行一次，每次调用函数时，都不会再进行初始化，变量值得变化会一直保存下来。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-09 14:45:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/c%e8%af%ad%e8%a8%80/" title="c语言">c语言</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c语言-关于C语言中的static变量的问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Q058p.html" rel="bookmark">c语言-请问C语言中a和225有什么关系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问C语言中a和225有什么关系 gocr软件中的一部分代码 switch (main) {... case 'a': return LATIN_SMALL_LETTER_A_WITH_ACUTE;... } 已知 LATIN_SMALL_LETTER_A_WITH_ACUTE 被define为0x00E1即十进制225 那么a和225在C语言中有什么约定俗成的关联吗 解决方案 一个是字符型,一个是整型,应该可以互相转化的. 解决方案二: DEC OCT HEX BIN Symbol			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4B79z.html" rel="bookmark">c语言-在C语言中，一个n&ast;n的数组给特定的位置赋值为1，值为1的位置的下标可以组成一些路径，求这些路径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在C语言中,一个n*n的数组给特定的位置赋值为1,值为1的位置的下标可以组成一些路径,求这些路径 比如有一个数组arc[6][6],初始化为0,然后arc[0][1]=1;arc[0][2]=1; arc[1][3]=1;arc[1][4]=1;arc[2][4]=1;arc[2][5]=1; arc[3][6]=1;arc[4][6]=1;arc[5][6]=1; 比如可以找出一些路径如:0-1-3-6:0-2-4-6:怎么用C语言写代码把所有的路径找出来,谢谢 解决方案 无非就是广			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Y9rZz.html" rel="bookmark">c语言-在C语言中case后可以是小数吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在C语言中case后可以是小数吗 在 C语言中swich case 中case 后可以放小数吗-- 为什么有的人说可以放小数?求解 解决方案 不可以.也许你看到的是一些类C语言的别的语言,比如JavaScript等. 解决方案二: 不可以,都是整数.这种情况可以自己试验下,让事实说话 解决方案三: C语言是不可以的哦.如果是VB那就可以. 解决方案四: 不可以是浮点型,只能是整形和字符型吧 解决方案五: 是可以的,通过强制类型转换--			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOLyVb.html" rel="bookmark">求c语言乱码-C语言中的float数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言中的float数据类型 在C语言中float数据用32位存储,其中6位为小数位,说明小数点后的值不能超过2^6-1.但实际上却是能保留小数点后6位,这是怎么回事? 解决方案 http://blog.csdn.net/qq_27183003/article/details/49506547http://www.cnblogs.com/jillzhang/archive/2007/06/24/793901.html 解决方案二: c语言数据类型C语言数据类型C语言基本数据类型int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7xAJab.html" rel="bookmark">c语言基础-c语言中a＋＝b和a&equals;a&plus;b有什么区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c语言中a+＝b和a=a+b有什么区别 c语言中a+＝b和a=a+b有什么区别,初学者求答案!不甚感激, 解决方案 a+=b是a = a + b的特例,前者中加法的一个加数和结果必须相同.后者不受限制. a = a + b a = b + a a = a + a a = a + 1 这些情况都可以用 += 代替. 但是 a = b + c 就不可以. 编译器为这两者产生的机器代码是一样的,可以视为等价. 高级语言,实现相同的功能,往往有不止一个语句或者运算符,这种现象也叫做&quot;语法糖&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjNOEp.html" rel="bookmark">Java语言入门教程（六）：Java语言中的static修饰符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Java类中,我们常常会看到static关键字,往往被称为静态的.Static修 饰符可以用来修饰数据成员,方法成员,但是不能修饰类(此处指外部类),不 能修饰构造方法.如: package com.csst.vo; public class User { private String name; private static int count; public String getName() { return name; } public void setName(String name)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkV0loM.html" rel="bookmark">C语言中static的作用及C语言中使用静态函数有何好处&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				想了解Java中static关键字的作用和用法详细介绍,请点击此处了解详情. 在C语言中,static的字面意思很容易把我们导入歧途,其实它的作用有三条,分别是: 一是隐藏功能,对于static修饰的函数和全局变量而言 二是保持持久性功能,对于static修饰的局部变量而言. 三是因为存放在静态区,全局和局部的static修饰的变量,都默认初始化为0 下面我逐一给大家介绍: (1)先来介绍它的第一条也是最重要的一条:隐藏. 当我们同时编译多个文件时,所有未加static前缀的全局变量和函数都具有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBY88az.html" rel="bookmark">详解C语言中的char数据类型及其与int类型的转换&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C语言中的char变量 char是C/C++整型数据中比较古怪的一个,其它的如int/long/short等不指定signed/unsigned时都默认是signed.虽然char在标准中是unsigned(因为char类型提出的初衷是用来表示ascii码,ascii码的范围是0~127),但实际情况中究竟是signed还是unsigned取决于编译器. 可通过下面程序判断编译器的默认char类型: void char_type() { char c=0xFF; if(c==-1) printf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7oBDb.html" rel="bookmark">c语言中static用法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.c程序存储空间布局   C程序一直由下列部分组成: 正文段--CPU执行的机器指令部分:一个程序只有一个副本:只读,防止程序由于意外事故而修改自身指令: 初始化数据段(数据段)--在程序中所有赋了初值的全局变量,存放在这里. 非初始化数据段(bss段)--在程序中没有初始化的全局变量:内核将此段初始化为0. 栈--增长方向:自顶向下增长:自动变量以及每次函数调用时所需要保存的信息(返回地址:环境信息). 堆--动态存储分. |-----------||           ||-------			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMydwEb.html" rel="bookmark" class="title">y轴-RRDTool （JRobin）绘图时指定Y轴阀值</a>
					<div>
						问题描述 RRDTool (JRobin)绘图时指定Y轴阀值 比如,设定Y轴的阀值,小于这个值的时候画出的area是绿色,大于这个值画出的area是红色,谢谢					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Y2oz.html" rel="bookmark" class="title">join的用法</a>
					<div>
						 -join的用法DECLARE @TA TABLE (IDA INT,VA VARCHAR(10))DECLARE@TB TABLE (IDB INT,VB VARCHAR(10)) INSERT  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlPYOM.html" rel="bookmark" class="title">连接数据库查询手册（不仅仅适用于asp）</a>
					<div>
						下面将简单介绍一下几种ADO连接方式:ODBC DSN,ODBC DSN-Less, OLE DB Provider,和&quot;MS Remote&quot; Provider.1.ODBC DS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBjjdb.html" rel="bookmark" class="title">ASP&period;NET高级应用&lpar;3&rpar;</a>
					<div>
						asp.net|高级 使用MSMQ MSMQ(MicroSoft Message Queue,微软消息队列)是在多个不同的应用之间实现相互通信的一种异步传输模式,相互通信的应用可以分布于同一台机器上, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7m46M.html" rel="bookmark" class="title">分析师：&OpenCurlyDoubleQuote;大数据时代&rdquo;的生存法则</a>
					<div>
						在Talend Connect大会上,一名IT业内分析专家指出,企业若不抓住大数据带 来的机会,将很有可能在同行中遭到淘汰. Jeff Kelly是Wikibon.org的 首席研究员,也是Silic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2ZEJb.html" rel="bookmark" class="title">gprs网络优化：3g知识</a>
					<div>
						GPRS网络优化比GSM网络优化更复杂.GPRS系统以GSM网为承载网,使用现有的GSM无线网络,GPRS和GSM共用相同的基站和频谱资源,这就决定了GPRS网络与GSM网络优化存在相互关联又相互制约 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RD53p.html" rel="bookmark" class="title">与脚本病毒做斗争 几种常见的杀毒方法</a>
					<div>
						有过网吧或者机房管理经验朋友肯定知道,如果机子中了病毒的话是很让人头疼的事情,现在的病毒大多都具有复制能力特别强,能够通过局域网传播,大量耗费系统资源等特点,一个局域网内只要有一台机子中了病毒,如果不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR0n8z.html" rel="bookmark" class="title">什么是设计模式</a>
					<div>
						设计模式(Design pattern)是一套被反复使用.多数人知晓的.经过分类编目的.代码设计经验的总结.使用设计模式是为了可重用代码.让代码更容易被他人理解.保证代码可靠性. 毫无疑问,设计模式于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91GdKM.html" rel="bookmark" class="title">在PPT里用表格来实现图片墙的制作方法</a>
					<div>
						在PPT里用表格来实现图片墙的制作方法   对比一下,然后想想怎么在PPT里用表格来实现图片墙这样的效果的.如果你已经有了初步的想法,那么就请和我们一起来学习在PPT里用表格来实现图片墙的制作方法.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY71rM.html" rel="bookmark" class="title">Photoshop调出铁路边美女中性色教程</a>
					<div>
						我做的效果图: 原图: 1.拷贝背景图层. 2.色相/饱和度调整图像. 3.黑白调整图像. 4.可选调整图像. 5.修改图层混合模式和不透明度. 6.合并图层,外挂滤镜加光效果. 7.锐化. 交果图:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ3N3p.html" rel="bookmark" class="title">移动版GTX10显卡深度评测</a>
					<div>
						距离移动版NVIDIA GTX 10系列显卡发布已经过去一段时间,我们也在第一时间做了搭载移动版GTX1060以及移动版GTX1080二 款新卡的笔记本评测文章. 相信很多朋友对于移动版NVIDIA  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3kGmM.html" rel="bookmark" class="title">配置使用 SQL Server提供程序 。</a>
					<div>
						 配置使用 SQL Server提供程序  &lt;configuration&gt;   &lt;system.web&gt; &lt;-- 更改提供程序配置: --&gt;    &lt;memb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm62laz.html" rel="bookmark" class="title">ASP&period;NET Web应用程序的安全解决方案浅析&lowbar;实用技巧</a>
					<div>
						一.ASP.NET Web应用程序架构安全隐患 1. 对于程序集主要威胁:未验证的访问.反向工程.代码注入.通过异常获得程序信息.未审核访问. 2. 客户端与Web应用程序之间的安全隐患:代码注入(跨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEvOop.html" rel="bookmark" class="title">linux编程-linux下SpringMVC&plus;framemark上传视频出错</a>
					<div>
						问题描述 linux下SpringMVC+framemark上传视频出错 org.springframework.web.multipart.MultipartException: Could not ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ndwqz.html" rel="bookmark" class="title">java-eclipse怎样把JDK1&period;7的项目在JDK1&period;6中用啊？</a>
					<div>
						问题描述 eclipse怎样把JDK1.7的项目在JDK1.6中用啊? 在eclipse中导进去了一个JDK1.7的项目,有红叹号...怎么解决.我的eclipse是1.6 解决方案 首先,在项目名称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwQx1p.html" rel="bookmark" class="title">IplImg 和 Mat 版本的 facedetect 大对比</a>
					<div>
						前天老板突然把原来2个月的项目压缩到2个星期(PS:要不要差距这么大), 本来计划的比较完善的暑假计划看来要搁置一段时间了,不能刷题了,不能看视频了,不能... 万一马上的这个学期可以打比赛但是缺少训 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b320Qwz.html" rel="bookmark" class="title">D语言&comma;环境安装于Helloword程序</a>
					<div>
						 dmd install Ubuntu $ wget http://ftp.digitalmars.com/dmd_2.061-0_amd64.deb $ sudo apt-get install l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1GW4z.html" rel="bookmark" class="title">配置管理-hostapd怎么管理wifi的接入 和 wep认证？急啊。。。。</a>
					<div>
						问题描述 hostapd怎么管理wifi的接入 和 wep认证?急啊.... 板子上跑的是Linux,使用hostpad管理配置wifi,现在PC连接板子的wifi,wifi的加密模式为WEP,板子上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7gowp.html" rel="bookmark" class="title">远程连接-Navicat连接mysql报错！&excl;</a>
					<div>
						问题描述 Navicat连接mysql报错!! 用Navicat远程连接数据库是报错,,服务也开启了,请问什么原因 解决方案 Navicat/MySQL Front 操作 MySQL 1577 报错  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Amglz.html" rel="bookmark" class="title">PHP程序员的简单运维</a>
					<div>
						所谓的简单运维就是保证自己开发的程序能正常运行和使用. 当一个程序员需要兼作运维时候需要掌握以下技能 1.linux系统基础命令和Windows Server操作 是基础中的基础,ls, rm, to ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRedep.html" rel="bookmark" class="title">javaweb项目分钟数结尾每到0或者5就执行一个操作</a>
					<div>
						问题描述 程序采用SSH,现在想在程序启动后做一个Timer定时执行操作:例子:假如现在时间是:00:00从00:00开始,00:05,00:10,00:15,依次类推执行一个方法,每天都同样重复假如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zx7Az.html" rel="bookmark" class="title">Makefile的规则</a>
					<div>
						target ... : prerequisites ... command prerequisites中如果有一个以上的文件比target文件要新的话,command所定义的命令就会被执行. 这就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7D2WM.html" rel="bookmark" class="title">数据才是车联网的未来</a>
					<div>
						&quot;每一年都是中国车联网的元年.&quot; 看到有关车联网的报道,不由发出这样的感慨.这当然不是什么好的评价.因为这意味着每年都在推倒重来.从08年国内开始提到车联网,到2010年后各大车厂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5oXrM.html" rel="bookmark" class="title">软件事务内存导论&lpar;二&rpar;软件事务内存</a>
					<div>
						1.1    软件事务内存 将实体与状态分离的做法有助于STM(软件事务内存)解决与同步相关的两大主要问题:跨越内存栅栏和避免竞争条件.让我们先来看一下在Clojure上下文中的STM是什么样子,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7VPYz.html" rel="bookmark" class="title">图片-jsp  包找不到问题  小白求帮助</a>
					<div>
						问题描述 jsp 包找不到问题 小白求帮助 包下载了 放在了tomcat的webapps项目WEB-INFlib下 但还是找不到 解决方案 不要在文件剂夹中添加,到项目中的lib里去添加,你直接放文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg45AM.html" rel="bookmark" class="title">Windows 7上使用HP Quality Center不工作的解决方法</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   通过Google找到了解决方案,特发出来与大家共享,希 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnELBM.html" rel="bookmark" class="title">初学java求问一下</a>
					<div>
						问题描述 是想把原来的字符串&quot;Hello&quot;的引用通过datachange()方法变成&quot;Helloworld&quot;可是我怎么也变不了,它还是&quot;Hello&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4enDLb.html" rel="bookmark" class="title">操作系统-windows server 2003系统组件运行报错？</a>
					<div>
						问题描述 windows server 2003系统组件运行报错? 错误签名 szAppName : DLC.exe szAppVer : 0.0.0.0 szModName : ntdll.dll  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR14xqb.html" rel="bookmark" class="title">mysql 存储过程输入输出参数示例&lowbar;Mysql</a>
					<div>
						drop PROCEDURE if exists my_procedure; create PROCEDURE my_procedure(in my_id int,out my_name char)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK9wOz.html" rel="bookmark" class="title">Android开发之获取SD卡及手机ROM容量的方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android获取SD卡及手机ROM容量的方法.分享给大家供大家参考,具体如下: 这里通过一个简单的小例子,来获取SD卡的容量和手机ROM的容量,代码如下: package com.ur ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
